## scim 1.4.7-2maemo1

=== debian/changelog ===
scim (1.4.7-2maemo1) chinook; urgency=low

  * Change prefix to /opt/maemocjk

 -- Kimitake <kimitake@gmail.com>  Mon, 28 Dec 2009 22:12:38 -0800

scim (1.4.7-1maemo1) chinook; urgency=low

  * TOPLEVEL window insted of POPUP for toolbar. POPUP window in Maemo can
    disappear strangely when not using transient_for.

 -- Makoto Sugano <makoto.sugano@gmail.com>  Mon, 17 Dec 2007 17:16:00 +0200

scim (1.4.7-1ubuntu2) gutsy; urgency=low

  * Add scim-gtk2-immodule to scim's Depends, LP: #139249

 -- Arne Goetje <arne@ubuntu.com>  Thu, 20 Sep 2007 09:44:30 +0800

scim (1.4.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream, remaining changes:
   - Adds kubuntu_01_hide_in_kde.dpatch, removed the scim-setup entry in
     Kmenu, since that duplicates with skim
   - Move usr/lib/libscim-gtkutils-1.0.so.8 and 
     usr/lib/libscim-gtkutils-1.0.so.8.* to scim-gtk2-immodule.
   - Add scim-gtk2-immodule to libscim-dev's Depends, LP: #42024.
   - Set Maintainer to Ubuntu Core developers
   - debian/patches/20_scim_config.dpatch: 
    - Enable Trigger keys with CJK native keys  (ubuntu: #37687),

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Jul 2007 13:37:03 +0100

scim (1.4.7-2) UNRELEASED; urgency=low

  * Don't install desktop entry scim-setup.desktop in deprecated location
    /usr/share/control-center-2.0/capplets/ anymore.
    - Add 10_remove-deprecated-desktop-entry dpatch to remove relevant part in
      extras/setup/Makefile.am.
    - Regenerate 90_relibtoolize dpatch.
    - Remove the "usr/share/control-center-2.0/capplets/scim-setup.desktop"
      line in debian/scim.install.

 -- Ming Hua <minghua-guest@users.alioth.debian.org>  Sun, 22 Jul 2007 02:23:26 -0500

scim (1.4.7-1) unstable; urgency=low

  The "keeping up with upstream" release.

  * New upstream release.
    - Include missing header, this time <cstring>, for a few files, to make
      scim buildable with (the constantly evolving) GCC 4.3.
      (Closes: #417686, again)
    - Remove an infinite loop with 0.1 second timeout in the X11 frontend to
      avoid waking up CPU constantly, therefore preserve power consumption and
      extend laptop battery life.  (Fixes LP: #122445)
    - Change 10_gtk-immodule-install-dir dpatch to patch configure.ac instead
      of extras/gtk2_immodule/Makefile.am, to adapt to the upstream change.
    - Regenerate 90_relibtoolize dpatch.  Also adjust the timestamp touching
      in debian/rules accordingly.
  * Clarify build dependency.
    - Remove intltool as upstream tarball ships its own 0.33 version.
    - Add libpango1.0-dev, libglib2.0-dev, and pkg-config explicitly (used to
      be pulled in by libgtk2.0-dev).
  * Add libx11-dev as a dependency of libscim-dev explicitly, it used to be
    pulled in by libgtk2.0-dev.
  * Add scim-thai to scim's "Suggests:" list.
  * Add "-W -g" compiler flags back.  The warnings are somehow useful when
    reading the build logs, and the debug information will be useful for
    manually built packages with DEB_BUILD_OPTIONS=nostrip.
  * Change maintainer's email address.

 -- Ming Hua <minghua-guest@users.alioth.debian.org>  Sat, 30 Jun 2007 21:41:52 -0500

scim (1.4.6-1ubuntu3) gutsy; urgency=low

  * Adds kubuntu_01_hide_in_kde.dpatch, removed the scim-setup entry in
    Kmenu, since that duplicates with skim

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 04 Jul 2007 14:32:47 +0200

scim (1.4.6-1ubuntu2) gutsy; urgency=low

  * Reassign usr/lib/libscim-gtkutils-1.0.so.8 and 
    usr/lib/libscim-gtkutils-1.0.so.8.* to scim-gtk2-immodule.
  * Add scim-gtk2-immodule to libscim-dev's Depends, LP: #42024.

 -- ZhengPeng Hou <zhengpeng-hou@ubuntu.com>  Wed, 16 May 2007 14:20:11 +0800

scim (1.4.6-1ubuntu1) gutsy; urgency=low

  * Merge from Debian sid:
    - Set Maintainer to Ubuntu Core developers
  * Update patch 20_scim_config.dpatch

 -- ZhengPeng Hou <zhengpeng-hou@ubuntu.com>  Fri, 11 May 2007 10:38:56 +0800

scim (1.4.6-1) unstable; urgency=low

  The "Oh, shiny!" release.

  * New upstream release.  (Closes: #399736)
    - Include <climits> header in src/scim_iconv.cpp, fixing FTBFS with GCC
      4.3.  Thanks to Martin Michlmayr for testing and the patch.
      (Closes: #417686)
    - The "Exit" item in the menu of notification area icon is built by
      default now, so that users can quit scim from the graphical interface.
      (Closes: #417950)
    - ABI changed, bump shlibs version to libscim8c2a (>= 1.4.6).
    - Add debian/libscim-dev.NEWS file to alert the changes of module
      installation path (will be installed as the NEWS.Debian file for
      libscim-dev package).  Also rename debian/NEWS file to debian/scim.NEWS.
  * For the install directory of GTK IM module, use GTK binary version from
    pkg-config results instead of hardcoded value.  Thanks to Loïc Minier for
    the patch.  (Closes: #420497)
  * Rename 11_relibtoolize.dpatch to 90_relibtoolize.dpatch and regenerate it.
  * Correct a typo in the package description of scim.
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields.
  * Use ${source:Version} and ${binary:Version} for versioned dependencies
    instead of deprecated ${Source-Version}.  Add dpkg-dev (>= 1.13.19) to
    Build-Depends to support this format.
  * Add "Enhances: scim" relationship for scim-gtk2-immodules and
    scim-modules-socket.

 -- Ming Hua <minghua@rice.edu>  Fri, 04 May 2007 01:01:47 -0500

scim (1.4.4-8) unstable; urgency=low

  The "etch is released, welcome lenny" release.

  * Rewrite debian/rules.
    - Use the platform detection code recommended by autotools-dev.
    - Drop unused "-W -g" compiler flags.
    - Do not use binary-common target anymore and separate binary-arch and
      binary-indep target completely.
    - Add more safeguarding code to detect building errors.
    - Finally remove all the cruft introduced by dh_make.
  * Adapt to GTK+ 2.10 ABI change.  (Closes: 419314)
    - Install GTK IM module into /usr/lib/gtk-2.0/2.10.0/immodules.

