## scim 1.4.7-2maemo2

=== debian/changelog ===
scim (1.4.7-2maemo2) fremantle; urgency=low

  * Remove scim.postinst 

 -- Kimitake <kimitake@gmail.com>  Sat,  2 Jan 2010 17:34:56 -0800
