## scim 1.4.7-2maemo3

=== debian/changelog ===
scim (1.4.7-2maemo3) fremantle; urgency=low

  * Revert scim.postinst
    The script should call gtk-query-immodules-2.0 and update gtk.immodules
  * Update Section info of scim package to display it on Application Manager

 -- Kimitake <kimitake@gmail.com>  Mon,  4 Jan 2010 05:31:20 -0800
