## scim 1.4.9

=== debian/changelog ===
scim (1.4.9-7) unstable; urgency=medium

  * fix FTBFS from introduction of multi-arch. Closes: #640629, LP: #832945.
    full multi-arch support still needs further work.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 13 Sep 2011 23:53:16 +0900

scim (1.4.9-6) unstable; urgency=low

  * debian/im-switch/scim-immodule: test for readability instead of
    executability of immodules files.  Closes: #595150.
  * debian/patches/72_fix-fr-translation-hindi.patch
    Fix translation for "Hindi". (LP: #310123)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 26 Oct 2010 03:43:00 +0900

scim (1.4.9-5) unstable; urgency=low

  * debian/copyright: add my copyright
  * debian/control: update to standard 3.9.1, no further changes necessary

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 11 Aug 2010 18:28:44 +0200

scim (1.4.9-4) unstable; urgency=medium

  * debian/patches: push back patches upstream, document status
  * debian/rules: empty dependency_libs field in .la files (Closes: 591628)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 08 Aug 2010 21:04:51 +0200

scim (1.4.9-3) unstable; urgency=low

  [ Osamu Aoki ]
  * update debian/control pointing to git repo

  [ Rolf Leggewie ]
  * debian/control: take over maintainership of scim from Ming-Hua
  * debian/control: add DMUA field
  * debian/patches/70_fix-disappeared-status-icon.dpatch: fix missing
    taskbar icon (LP: #475800)
  * debian/control: update to 3.8.4 standard
  * debian/README.source: document commands to get patched source
  * debian/source: make explicit that we are still using DebSrc1.0
    format
  * add help2man-generated man pages for scim-setup and scim-config-
    agent

  [ Osamu Aoki ]
  * fix broken manpages
  * conversion to 3.0 (quilt) format
  * renumbered patches to match FC14
  * used GTK_IM_MODULE=scim as default. Closes: #587524
  * Supported scim-bridge
  * added package dependency to im-config etc.
  * debian/rules: converted to new dh syntax
  * imported patches including one for rpath from the FC14 package.
  * replaced config by the FC14 scim-system-config
  * build with autoreconf
  * fixed doc-base for scim-dev-doc. Closes: #295802

 -- Osamu Aoki <osamu@debian.org>  Sat, 03 Jul 2010 23:10:21 +0900

scim (1.4.9-2) unstable; urgency=low

  The "contributions from Ubuntu" release

  [ Rolf Leggewie ]
  * debian/README*: fix some spelling mistakes and bitrot
  * debian/rules: remove obsolete Chinese manual (Closes: #427520)
  * debian/control: 
    - let scim-bridge pull in clients packages by default
    - let libscim8c2a conflict with older versions of scim-gtk2-immodule
      to offer Ubuntu a safe way out of earlier packaging mistakes
  * debian/scim.postinst: improve handling of update-alternatives
  * debian/patches: 
    - push back and update a number of patches from Ubuntu
    - drop AltGr as trigger key from 20_scim_config.dpatch
  * add a lintian override for libscim8c2a package

  [ Jari Aalto ]
  * 60_gcc-4.4-const-char.dpatch: fix compile with gcc 4.4 (Closes: #560486)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 15 Jan 2010 15:03:37 +0100

scim (1.4.9-1) unstable; urgency=low

  [ Rolf Leggewie ]
  * new upstream release (Closes: #525289)
  * fix spelling mistake in im-switch files.  (Closes: #494189)
  * update to standard 3.8.1 and make lintian clean
  * drop 90_relibtoolize.dpatch, looks like the retooling was done upstream

  [ LI Daobing ]
  * debian/control: 
    - add me to uploaders. 
    - bump debhelper version to >= 7.
    - fix typo in description: GTK -> GTK+.
    - fix typo in description: meta package -> metapackage.
  * debian/compat:
    - bump debhelper version to 7.
  * debian/scim-dev-doc.doc-base: change section to Text. 
  * debian/rules: 
    - bump shlib version to 1.4.9.
    - change "rm" to "rm -f".
    - remove deprecated desktop entry
    - fix gtk immodule install dir
  * debian/patches/00list:
    - disable 10_remove-deprecated-desktop-entry.dpatch and
      10_gtk-immodule-install-dir.dpatch.

 -- LI Daobing <lidaobing@debian.org>  Tue, 28 Apr 2009 20:58:08 +0800

scim (1.4.7-3) unstable; urgency=low

  The "give credit where credit is due" release.

  * Update debian/copyright.
    - Update information about current package maintainers.
    - Specify upstream release tarball download URL.
    - Clarify the copyright and licensing information of the files in
      modules/FrontEnd/IMdkit/ which are under MIT/BSD like licenses.  Thanks
      ZhengPeng Hou for reporting this issue.  (Closes: #438639)
    - Clarify copyright and licensing of Debian packaging.
    - Refer to /usr/share/common-licenses/LGPL-2.1 for the text of LGPL,
      instead of the symbolic link.
  * Define $XIM_PROGRAM_SETS_ITSELF_AS_DAEMON variable in both "scim" and
    "scim-immodule" im-switch settings, to avoid leaving a zombie process when
    im-switch is used to start scim.  (Closes: #431294)
  * Add 50_validate-desktop-entry dpatch, to fix a few issues in
    scim-setup.desktop revealed by desktop-file-validate tool.
    - Use absolute path for the icon.
    - Remove deprecated "Applications" category.
    - Remove deprecated key "Encoding".
  * Change XS-Vcs-* fields in debian/control to Vcs-*, now that they are
    supported by dpkg.  Bump the dpkg-dev version in build dependency to
    1.14.6, to guarantee that we have a dpkg that supports this feature.
  * Use the official "Homepage" field in debian/control instead of putting the
    upstream homepage in package's long description.
  * Update to policy version 3.7.3.

 -- Ming Hua <minghua-guest@users.alioth.debian.org>  Mon, 28 Jan 2008 10:01:04 -0600

scim (1.4.7-2) unstable; urgency=low

  The "late documentation is still better than no documentation" release.

  * Enable SCIM's Qt 3 IM module setting in the im-switch configuration file
    /etc/X11/xinit/Xinput.d/scim-immodule.  The module is provided by the
    scim-qtimm package.
  * Don't install desktop entry scim-setup.desktop in deprecated location

