=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: scim
-Section: utilities
+Section: utils
 Priority: optional
-Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ming Hua <minghua@rice.edu>
-Uploaders: Osamu Aoki <osamu@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1-1)
-Standards-Version: 3.7.2
-XS-Vcs-Svn: svn://svn.debian.org/pkg-ime/scim/trunk/
-XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-ime/scim/trunk/
+DM-Upload-Allowed: yes
+Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
+Uploaders: 
+ Osamu Aoki <osamu@debian.org>, 
+ LI Daobing <lidaobing@debian.org>,
+ Ming Hua <minghua-guest@users.alioth.debian.org>
+Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 8.1.3~), autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1), dh-autoreconf, libltdl-dev
+Standards-Version: 3.9.1
+Homepage: http://www.scim-im.org/
+Vcs-git: git://git.debian.org/git/collab-maint/scim.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git
 
 Package: scim
-Section: user/utilities
 Architecture: any
-Depends: ${shlibs:Depends}, scim-gtk2-immodule (= ${binary:Version})
-Recommends: im-switch
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: scim-gtk2-immodule (= ${binary:Version}), im-config | im-switch, scim-bridge-agent
 Suggests: scim-uim, scim-pinyin, scim-hangul, scim-chewing, scim-m17n, scim-prime, scim-anthy, scim-skk, scim-canna, scim-tables-additional, scim-tables-ja, scim-tables-ko, scim-tables-zh, scim-thai
 Conflicts: scim-tables-zh (<< 0.4.2), scim-tables-ja (<< 0.4.2), scim-tables-ko (<< 0.4.2), scim-tables-additional (<< 0.4.2), scim-gtk2-immodule (<< 1.2.0), scim-server-socket (<< 1.2.0), scim-frontend-socket (<< 1.2.0), scim-config-socket (<< 1.2.0), scim-config-gconf (<< 1.2.0), scim-chinese (<< 0.5.0), scim-uim (<= 0.1.3-2), scim-m17n (<= 0.1.3-1), scim-hangul (<= 0.1.2-1), scim-chewing (<= 0.2.0-2.1)
 Description: smart common input method platform
@@ -46,14 +51,13 @@
  .
  For development on SCIM platform, please see the description of scim-dev
  package.
- .
- Homepage: http://www.scim-im.org/
 
 Package: libscim8c2a
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
-Conflicts: scim (<< 1.2.0), libscim8
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: scim (<< 1.2.0), libscim8, scim-gtk2-immodule (<< 1.4.9-2)
 Replaces: scim (<< 1.2.0), libscim8
 Description: library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
@@ -65,7 +69,8 @@
 Package: libscim-dev
 Section: libdevel
 Architecture: any
-Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev, libpango1.0-dev, scim-gtk2-immodule
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev, libpango1.0-dev, ${misc:Depends}
 Conflicts: scim-dev (<< 1.2.0)
 Replaces: scim-dev (<< 1.2.0)
 Description: development library for SCIM platform
@@ -87,27 +92,27 @@
  For more information about SCIM, please see the description of scim package.
 
 Package: scim-gtk2-immodule
-Section: utilities
 Architecture: any
-Depends: scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: scim, scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Enhances: scim
 Description: GTK+2 input method module with SCIM as backend
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
  This package is the GTK+ 2.x native input method module for SCIM.  It provide
- a GTK IM module with SCIM as the input backend.  This input method module
+ a GTK+ IM module with SCIM as the input backend.  This input method module
  should work within all GTK+ 2.x platforms, including gtk-x11, gtk-linuxfb and
  gtk-directfb.
  .
- The GTK IM module communicates with SCIM backend through the socket IM engine
+ The GTK+ IM module communicates with SCIM backend through the socket IM engine
  module and socket front end module provided by scim-modules-socket package.
  .
  For more information about SCIM, please see the description of scim package.
 
 Package: scim-modules-socket
-Section: utilities
 Architecture: any
-Depends: ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: scim-config-socket, scim-frontend-socket, scim-server-socket
 Replaces: scim-config-socket, scim-frontend-socket, scim-server-socket
 Provides: scim-config-socket, scim-frontend-socket, scim-server-socket
@@ -126,17 +131,18 @@
 Package: scim-dev
 Section: devel
 Architecture: all
-Depends: libscim-dev (>= ${source:Version}), scim-dev-doc (= ${source:Version})
+Depends: libscim-dev (>= ${source:Version}), scim-dev-doc (= ${source:Version}), ${misc:Depends}
 Description: development files for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
- This package is a meta package to provide development libraries and
+ This package is a metapackage to provide development libraries and
  documentations for SCIM platform.
  .
  For more information about SCIM, please see the description of scim package.
 
 Package: scim-dev-doc
 Section: doc
+Depends: ${misc:Depends}
 Architecture: all
 Description: development documentation for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
