=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh --with autotools-dev --with autoreconf $@

# If --with autoreconf is not available, use following while
# ebian/control: Build-Depends: entry "dh-autoreconf" replaced
# by "perl, debhelper, autoconf, automake | automaken, libtool".
#
#override_dh_auto_configure:
#	./bootstrap
#	dh_auto_configure

override_dh_auto_clean:
	# http://bugs.debian.org/427520
	rm -f docs/manual/zh_CN/user-manual.*
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	# empty the dependency_libs field in .la files (bug 591628)
	for FILE in debian/tmp/usr/lib/*.la; \
	do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$FILE; \
	done
	# move libraries based on gtk_binary_version
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0/`pkg-config --variable=gtk_binary_version gtk+-2.0`/
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0/immodules \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0/`pkg-config --variable=gtk_binary_version gtk+-2.0`/

override_dh_installdocs:
	dh_installdocs -X Makefile

override_dh_install:
	dh_install
	LD_LIBRARY_PATH=debian/libscim8c2a/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gtkmodules -p scim-gtk2-immodule

override_dh_makeshlibs:
	dh_makeshlibs -p libscim8c2a -V "libscim8c2a (>= 1.4.9)"

override_dh_shlibdeps:
	dh_shlibdeps -l debian/libscim8c2a/usr/lib -L libscim8c2a

# vim:textwidth=0:
