## scim 1.4.13

=== debian/changelog ===
scim (1.4.13-5) unstable; urgency=low

  * libscim-dev: depend on libgtk-3-dev. Closes: #676790

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 12 Jun 2012 10:42:11 +0800

scim (1.4.13-4) unstable; urgency=low

  * debian/rules:
    - empty dependency_libs field in all *.la files below /usr/lib.
    - adjust paths in .la files for multi-arch. Closes: #675688
    - add -fpermissive to CXXFLAGS as a temp workaround. Closes: #674814

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 03 Jun 2012 15:11:26 +0800

scim (1.4.13-3) unstable; urgency=low

  * multi-archify libscim-dev (closes: #675224) and scim-modules-socket

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 02 Jun 2012 22:13:06 +0800

scim (1.4.13-2) unstable; urgency=low

  * libscim8c2a: install files to multi-arch paths. Closes: #674813

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 28 May 2012 09:48:44 +0800

scim (1.4.13-1) unstable; urgency=low

  * new upstream release. Closes: #649872, LP: #933908
    - input in iceweasel works again. Closes: #642929
    - drop the 22 (out of 24!) patches that we pushed upstream. Yay!
    - rebase the remaining two patches
    - adds gtk3 support. consolidate it with gtk2 support in new package
      scim-gtk-immodules.  Closes: #641140, Closes: #632094, LP: #931822
  * debian/control:
    - update to latest Standards version. no further changes.
    - drop inactive co-maintainers from Uploaders as requested
      Li, Ming-Hua and Osamu, thank you for your work over the years
    - add Tz-Huan as new co-maintainer. Welcome aboard! Closes: #661106
    - update package dependency information (build and run time)
  * debian/copyright:
    - point to version-agnostic download page upstream
    - drop old and add new co-maintainers
    - update my copyright
  * debian/rules:
    - relax shlibs version requirement on libscim to 1.4
    - catch errors to comply with policy 4.6. Thx Jwilk!
  * re-enable straight lucid backporting
  * drop all packaging code related to obsolete and gone Chinese manual
  * dynamically generate debian/*.install files for multi-arch
  * explicitly compile the docs. They are no longer part of upstream tarball.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 27 May 2012 15:36:22 +0800
