=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 DM-Upload-Allowed: yes
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
-Uploaders: 
- Osamu Aoki <osamu@debian.org>, 
- LI Daobing <lidaobing@debian.org>,
- Ming Hua <minghua-guest@users.alioth.debian.org>
-Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 8.1.3~), autotools-dev, pkg-config, x11proto-core-dev, libx11-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev (>= 2.10.1), dh-autoreconf, libltdl-dev
-Standards-Version: 3.9.1
+Uploaders: Tz-Huan Huang <tzhuan@gmail.com>
+Standards-Version: 3.9.3
+Build-Depends: dpkg-dev (>= 1.14.6), debhelper (>= 7.0.50~),
+ autotools-dev, pkg-config, x11proto-core-dev, libx11-dev,
+ libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev, libgtk-3-dev | libgtk2.0-dev (<< 2.21),
+ libltdl-dev, intltool, doxygen
 Homepage: http://www.scim-im.org/
 Vcs-git: git://git.debian.org/git/collab-maint/scim.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scim.git
@@ -18,9 +18,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: scim-gtk2-immodule (= ${binary:Version}), im-config | im-switch, scim-bridge-agent
+Recommends: scim-gtk-immodule (= ${binary:Version}), im-config | im-switch, scim-bridge-agent
 Suggests: scim-uim, scim-pinyin, scim-hangul, scim-chewing, scim-m17n, scim-prime, scim-anthy, scim-skk, scim-canna, scim-tables-additional, scim-tables-ja, scim-tables-ko, scim-tables-zh, scim-thai
-Conflicts: scim-tables-zh (<< 0.4.2), scim-tables-ja (<< 0.4.2), scim-tables-ko (<< 0.4.2), scim-tables-additional (<< 0.4.2), scim-gtk2-immodule (<< 1.2.0), scim-server-socket (<< 1.2.0), scim-frontend-socket (<< 1.2.0), scim-config-socket (<< 1.2.0), scim-config-gconf (<< 1.2.0), scim-chinese (<< 0.5.0), scim-uim (<= 0.1.3-2), scim-m17n (<= 0.1.3-1), scim-hangul (<= 0.1.2-1), scim-chewing (<= 0.2.0-2.1)
 Description: smart common input method platform
  Smart Common Input Method (SCIM) is an input method (IM) platform.  Input
  methods are needed to enter complex characters in many non-latin languages.
@@ -46,7 +45,7 @@
  for many languages.  In Debian you can find the following separately packaged
  IMs useful: scim-tables-{additional,ja,ko,zh}, scim-pinyin, scim-uim,
  scim-m17n, scim-chewing, scim-anthy, scim-canna, scim-prime, and scim-skk.
- GTK+ users would also find package scim-gtk2-immodule useful for GTK+ IM
+ GTK+ users would also find package scim-gtk-immodule useful for GTK+ IM
  module support.
  .
  For development on SCIM platform, please see the description of scim-dev
@@ -55,10 +54,9 @@
 Package: libscim8c2a
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: scim (<< 1.2.0), libscim8, scim-gtk2-immodule (<< 1.4.9-2)
-Replaces: scim (<< 1.2.0), libscim8
 Description: library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
@@ -69,10 +67,10 @@
 Package: libscim-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev, libpango1.0-dev, ${misc:Depends}
-Conflicts: scim-dev (<< 1.2.0)
-Replaces: scim-dev (<< 1.2.0)
+Depends: libscim8c2a (= ${binary:Version}), libx11-dev, libgtk2.0-dev,
+ libgtk-3-dev | libgtk2.0-dev (<< 2.21), libpango1.0-dev, ${misc:Depends}
 Description: development library for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
@@ -91,18 +89,22 @@
  .
  For more information about SCIM, please see the description of scim package.
 
-Package: scim-gtk2-immodule
+Package: scim-gtk-immodule
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: scim, scim-modules-socket (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: scim-gtk2-immodule
+Conflicts: scim-gtk2-immodule
+Replaces: scim-gtk2-immodule
 Enhances: scim
-Description: GTK+2 input method module with SCIM as backend
+Description: GTK+ input method module with SCIM as backend
  SCIM (Smart Common Input Method) is an input method (IM) platform.
  .
- This package is the GTK+ 2.x native input method module for SCIM.  It provide
- a GTK+ IM module with SCIM as the input backend.  This input method module
- should work within all GTK+ 2.x platforms, including gtk-x11, gtk-linuxfb and
- gtk-directfb.
+ This package is the GTK+ native input method module for SCIM.  It provides
+ a GTK+ IM module for version 2 and 3 of GTK with SCIM as the input backend.
+ This input method module should work within all GTK+ platforms, including
+ gtk-x11, gtk-linuxfb and gtk-directfb.
  .
  The GTK+ IM module communicates with SCIM backend through the socket IM engine
  module and socket front end module provided by scim-modules-socket package.
@@ -111,11 +113,9 @@
 
 Package: scim-modules-socket
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: scim-config-socket, scim-frontend-socket, scim-server-socket
-Replaces: scim-config-socket, scim-frontend-socket, scim-server-socket
-Provides: scim-config-socket, scim-frontend-socket, scim-server-socket
 Enhances: scim
 Description: socket modules for SCIM platform
  SCIM (Smart Common Input Method) is an input method (IM) platform.
