=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export CXXFLAGS += -fpermissive

%:
	dh --with autotools-dev $@

override_dh_auto_build:
	$(MAKE) docs
	dh_auto_build

override_dh_auto_install:
	set -e
	dh_auto_install
	# empty the dependency_libs field in .la files (bug 591628)
	find debian/tmp/usr/lib/ -name *.la -exec sed -i "/dependency_libs/ s/'.*'/''/" {} \;
	# adjust paths in .la files for multi-arch (bug 675688)
	find debian/tmp/usr/lib/ -name *.la -exec sed -i -e "/usr\/lib/ s!'/usr/lib'!'/usr/lib/$(DEB_HOST_MULTIARCH)'!" {} \;
	# move libraries based on gtk_binary_version
	# continue on errors
	for i in 2 3; do \
	  mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-$$i.0/`pkg-config --variable=gtk_binary_version gtk+-$$i.0`/; \
	  mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-$$i.0/immodules \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-$$i.0/`pkg-config --variable=gtk_binary_version gtk+-$$i.0`/ || true; \
	done

override_dh_installdocs:
	dh_installdocs -X Makefile

override_dh_install:
	set -e

	for FILE in debian/*.install.in; \
	do \
		sed -e "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" $$FILE > debian/`basename $$FILE .in`; \
	done

	dh_install
	sed -i -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' debian/scim/etc/X11/xinit/xinput.d/scim-immodule
	LD_LIBRARY_PATH=debian/libscim8c2a/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gtkmodules -p scim-gtk-immodule

override_dh_makeshlibs:
	dh_makeshlibs -p libscim8c2a -V "libscim8c2a (>= 1.4)"

override_dh_shlibdeps:
	dh_shlibdeps -l debian/libscim8c2a/usr/lib -L libscim8c2a

# vim:textwidth=0:
